unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmExemplo = class(TForm)
    edtSessao: TEdit;
    edtCodAtivacao: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    mmoRetorno: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmExemplo: TfrmExemplo;
  iRetorno: integer;


implementation

function AssociarAssinatura (numeroSessao: Integer; codigoDeAtivacao: String; CNPJvalue: String; assinaturaCNPJs: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function AtivarSAT (numeroSessao: Integer; subComando: Integer; codigoDeAtivacao: String; CNPJ: String; cUF: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function AtualizarSoftwareSAT (numeroSessao: Integer; codigoDeAtivacao: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function BloquearSAT (numeroSessao: Integer; codigoDeAtivacao: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function CancelarUltimaVenda (numeroSessao: Integer; codigoDeAtivacao: String; chave: String;  dadosCancelamento: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function ConfigurarInterfaceDeRede (numeroSessao: Integer; codigoDeAtivacao: String; dadosConfiguracao: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function ConsultarNumeroSessao (numeroSessao: Integer; codigoDeAtivacao: String; cNumeroDeSessao: integer) : PChar ; stdcall; External 'BemaSAT32.dll';
function ConsultarSAT( numeroSessao : Integer ) : PChar ; stdcall; External 'BemaSAT32.dll';
function ConsultarStatusOperacional( numeroSessao: Integer; codigoDeAtivacao: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function DesbloquearSAT (numeroSessao: Integer; codigoDeAtivacao: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function EnviarDadosVenda (numeroSessao: Integer; codigoDeAtivacao: String; dadosVenda: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function ExtrairLogs (numeroSessao: Integer; codigoDeAtivacao: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function TesteFimAFim (numeroSessao: Integer; codigoDeAtivacao: String; dadosVenda: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function TrocarCodigoDeAtivacao (numeroSessao: Integer; codigoDeAtivacao: String; opcao: integer; novoCodigo: String; confNovoCodigo: String ) : PChar ; stdcall; External 'BemaSAT32.dll';
function ConsultarCFesNaoTransmitidos (numeroSessao: Integer; codigoDeAtivacao: AnsiString) : PAnsiChar ; stdcall; External 'BemaSAT32.dll';

{$R *.dfm}


procedure TfrmExemplo.Button1Click(Sender: TObject);
var
iNumSessao: integer;
sCodAtivacao: Ansistring;
sRetorno: string;

begin

iNumSessao:=StrToInt(edtSessao.Text);
sCodAtivacao:= edtCodAtivacao.Text;

sRetorno:=ConsultarCFesNaoTransmitidos(iNumSessao,sCodAtivacao);
mmoRetorno.Text:=sRetorno;


end;

end.
